petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSectionSetClosurePermutation

Get the dof permutation for the closure of each cell in the section, meaning clPerm[newIndex] = oldIndex.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionSetClosurePermutation(PetscSection section, PetscObject obj, IS perm)

### Input Parameters

| section | - The PetscSection
| obj | - A PetscObject which serves as the key for this index
| perm | - Permutation of the cell dof closure

Note: This strategy only works when all cells have the same size dof closure, and no closures are retrieved for other points (like faces).

### See Also

PetscSectionGetClosurePermutation(), PetscSectionGetClosureIndex(), DMPlexCreateClosureIndex(), PetscCopyMode

### Level

intermediate

### Location

src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages